#include "int_test.h"
#include "Fusion_GeneralWrapper.h"
#include "fusion/executable.h"


void setup_test()
{
	// Logger for wrapper
	// ara headers must be added
	ara::log::InitLogging("DPC", "Fusion_TEST", ara::log::LogLevel::kVerbose, (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));

	ara::log::Logger &mainLog { ara::log::CreateLogger("main", "Fusion sample context", ara::log::LogLevel::kVerbose) };

	mainLog.LogInfo() << "Let's produce some Fusion data...";
	GeneralWrapper gw(mainLog);
	//dpc::Object data;
	//uint32_t counter = 0;
	while(1)
	{
		//counter++;
		//data.object_id = counter;
		//gw._Object_Provide.s.SetData(data);
		gw._Object_Provide.Publish();
		std::this_thread::sleep_for(std::chrono::milliseconds(300));
	}
}
